/**
 * Plugin Adm_redacteurs
 * Version  : 6.12 (2018/02/25)
 * Compatibility : Guppy v5.0+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

jQuery(function($) { 
   
	// --------------------------------------------------------------------

    /**
     * Ajoute les cases à cocher qui permettent de sélectionner l'ensemble des enregistrements dans la table
     *
     * @return void
     */
    function add_checkbox_for_select_all_records()
    {
        var checkbox_name = "select_all_records";
        var label = $( "#ADMR_DB_table th:first-child" ).data('label'); 
        
        $( "#ADMR_DB_table th:first-child" ).prepend('<input type="checkbox" name="'+checkbox_name+'" value="0" title="'+label+'" />');
        
        $('#ADMR_DB_table input[name='+checkbox_name+']').on('click', function () {
            $('#ADMR_DB_table input[type="checkbox"]').prop("checked", $(this).prop("checked"));           
        });        
     }
    
	// --------------------------------------------------------------------
    
    /**
     * Validation du formulaire
     */
    function add_form_validation()
    {        
        // Setup form validation
        $.validate({
            form : '#ADMR_manage_contents',
            onValidate : function($form) {
                
                // On vérifie qu'au moins une case est cochée pour sélectionner un document
                if ( ! $('#ADMR_DB_table input[name="ids[]"]').is(':checked')) { 
                    return {
                        element : $('#submit_records_data'),
                        message : $('#submit_records_data').attr('data-validation-error-msg-no-record-selected')
                    }
                }
                //
            },
        });
    }
    
	// --------------------------------------------------------------------

    /**
     * fonctions à exécuter lors du chargement du script
     *
     * @return void
     */
    function init()
	{        
        if ($( "select[name=action]" ).length > 0) { // Actions possibles sur les enregistrements
            add_checkbox_for_select_all_records();
            add_form_validation();
        }        
    }
    //
    
    init(); // initialisation  
});