/**
 * Plugin Adm_redacteurs
 * Version  : 6.12 (2018/02/25)
 * Compatibility : Guppy v5.0+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

jQuery(function($) {

    /**
     * Ajoute comme évènement l'ouverture d'une fenêtre modale lorsqu'on clique sur le lien qui a la class "popup" 
     *
     * @access public
     * @return void
     */
    function add_event_submit_for_display_loading()
    {        
        $('#form_migrate_data').on('submit', function()
        {
            var img_src = $(this).data('loader-img');
            var message = $(this).data('loader-msg');
            
            $('#form_migrate_data button[type="submit"]').html('<img src="'+img_src+'" width="32" height="32" /><span>'+message+'...</span>');
            
            return true;
    	});       
    }    
 
	// --------------------------------------------------------------------
    
    /**
     * fonctions à exécuter lors du chargement du script
     *
     * @return void
     */
    function init()
	{
        add_event_submit_for_display_loading();
    }
    //
     
    init(); // initialisation  
});