<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.12 (2018/02/25)
 * Compatibility : Guppy v5.0+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

require ADMR_CORE_PATH.'/admin_controller.php';

class Admin_manage_groups_controller extends Admin_controller
{
    /*
    |--------------------------------------------------------------------------
    | Properties
    |--------------------------------------------------------------------------
    */
    protected $_lang = array();         // Données de langue
    protected $_config = array();       // Données de configuration
    protected $_admin_rights = array(); // Droits de l'admin

    /*
    |--------------------------------------------------------------------------
    | Constructor
    |--------------------------------------------------------------------------
    */    
    function __construct()
    {
        parent :: __construct();

        $this -> load_helper('manage_groups_helper', $this -> _admin_rights);
    }

    /*
    |--------------------------------------------------------------------------
    | Methods
    |--------------------------------------------------------------------------
    */

    public function index()
    {
        $this -> manage();
    }

	// --------------------------------------------------------------------

	/**
	 * gére les enregistrements
     * 
     * @access public
	 * @return string code html
	 */	
    public function manage()
    {        
        $this -> manage_groups_helper -> manage();
    }

	// --------------------------------------------------------------------

	/**
	 * recherche des enregistrements et redirige vers la page qui va afficher les résultats de la recherche
     * 
     * @access public
	 * @return void
	 */
    public function search()
    {
        $this -> manage_groups_helper -> search();
    }

	// --------------------------------------------------------------------

	/**
	 * Affecter des rédacteurs à un groupe
     * 
     * @access public
	 * @return string
	 */	
    public function assign_writers_to_group()
    {
        $this -> manage_groups_helper -> assign_writers_to_group();           
    }

	// --------------------------------------------------------------------

    /**
     * Définit et renvoie le titre de la page 
     *
     * @param array Données à faire passer à la vue
     * @return void
     */        
    public function set_title_page()
    {
        return $this -> manage_groups_helper -> set_title_page(); 
    }
    
	// --------------------------------------------------------------------

	/**
	 * définit et renvoie des ajouts (js, css, code php) dans la partie <head> de la page 
     * 
	 * @access public
     * @return string
	 */	
    public function set_header_addons()
    {
        $header_addons = parent :: set_header_addons();
        $header_addons .= $this -> manage_groups_helper -> set_header_addons();
         
        return $header_addons;
    }
    
	// --------------------------------------------------------------------

	/**
	 * définit et renvoie la description de la page ainsi que les recommendations
     * 
	 * @return string titre de la page
	 * @access public
	 */	
    protected function _set_infos_page_content()
    {		
        return $this -> manage_groups_helper -> set_infos_page_content(); 
    }

	// --------------------------------------------------------------------

    /**
     * Définit le contenu du menu qui est affiché dans le bandeau en haut de la page
     *
     * @return array Tableau contenant les items du menu (vide par défaut)
     */
    protected function _set_menu_plugin_items()
    {
        return $this -> manage_groups_helper -> set_menu_plugin_items();  
    }

	// --------------------------------------------------------------------
	
} //End of Class