<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.12 (2018/02/25)
 * Compatibility : Guppy v5.0+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

require_once ADMR_HELPERS_PATH.'/add_doc_helper.php';

class Add_articles_helper extends Add_doc_helper
{
    /*
    |--------------------------------------------------------------------------
    | Properties
    |--------------------------------------------------------------------------
    */
    protected $CI;                       // object global
    protected $_lang = array();          // Données de langue
    protected $_config = array();        // Données de configuration  
    protected $_record_id = 0;           // Identifiant de l'enregistrement
    protected $_record_data = array();   // Tableau contenant les données de l'enregistrement
    protected $_form_params = array();   // Tableau contenant les données de l'enregistrement postées dans le formulaire
 	protected $_form_errors = array();	 // Tableau contenant les messages d'erreur dans le formulaire
    protected $_form_validation = FALSE; // Validation du formulaire (TRUE ou FALSE)  

    protected $_writer_rights = array(); // Droits du rédacteur
    
    /*
    |--------------------------------------------------------------------------
    | Constructor
    |--------------------------------------------------------------------------
    */    
    function __construct($writer_rights = array())
    {
        parent :: __construct(TYP_ART, $writer_rights);
    }

    /*
    |--------------------------------------------------------------------------
    | Methods
    |--------------------------------------------------------------------------
    */    

    /**
	 * Index
     * 
	 * @access public
     * @return void
	 */	
    public function index()
    {
        parent :: index();
    }

	// --------------------------------------------------------------------

    /*
     * Définit et renvoie le titre de la page 
     *
     * @param array Données à faire passer à la vue
     * @return void
     */        
    public function set_title_page()
    {
        return parent :: set_title_page();
    }
    
	// --------------------------------------------------------------------

	/**
	 * définit et renvoie la description de la page ainsi que les recommendations
     * 
	 * @return string infos de la page
	 */	
    public function set_infos_page_content()
    {		
        return parent :: set_infos_page_content();
    }

	// --------------------------------------------------------------------

    /*
     * Définit le contenu du menu qui est affiché dans le bandeau en haut de la page
     *
     * @return array Tableau contenant les items du menu (vide par défaut)
     */
    public function set_menu_plugin_items()
    {
        return parent :: set_menu_plugin_items();         
    }
    
	// --------------------------------------------------------------------

	/**
	 * définit et renvoie les ajouts (js et css) dans l'entête de la page
     * 
     * @access public
	 * @return string Chaine html contenant les ajouts js et css
	 */	
    public function set_header_addons()
    {
        $parent_addons = parent :: set_header_addons();
        
        $js = '';
//        $js .= '<script type="text/javascript" src="'.ADMR_JS_PATH.'/public_add_record.js"></script>'."\n";
        
        $css = '';
//        $css .= '<link rel="stylesheet" type="text/css" href="'.ADMR_CSS_PATH.'/public_add_record.css" />'."\n";

        return $parent_addons.$js.$css;
    }

	// --------------------------------------------------------------------

	/**
	 * définit les propriétés du document (type et nom)
     * 
     * @access protected
     * @param string Type du document
	 * @return array Tableau contenant les informations (type, nom) du document
	 */	
/*    protected function _set_doc_infos($doc_type = '')
    {
        $this -> _doc_infos = Model :: get_doc_infos_by_type($doc_type);

        if (empty($this -> _doc_infos['type']) || empty($this -> _doc_infos['name'])) {
            die('ERROR : vous devez définir le type et le nom du document');    
        }        
        
        return $this -> _doc_infos;        
    }
*/
	// --------------------------------------------------------------------

	/**
	 * définit les droits du rédacteur
     * 
     * @access protected
     * @param array Tabelau définissant les droits du rédacteur (vide par défaut) 
	 * @return array Tableau contenant les droits du rédacteur
	 */	
/*    protected function _set_writer_rights($writer_rights = array())
    {
        settype($writer_rights, 'array');
        
        return $this -> _writer_rights = $writer_rights;        
    }
*/
	// --------------------------------------------------------------------

    /**
	 * Ajoute des données supplémentaires
     * 
	 * @access protected
     * @return array
	 */	
    protected function _add_more_data_for_add_record_view()
    {        
        return array_merge(
            parent :: _add_more_data_for_add_record_view(), 
            array(
                'is_linked_to_menuitem' => $this -> _article_is_linked_to_menuitem($this -> _form_params['id']),
                'href_for_menuitem' => $this -> _build_href_for_menuitems($this -> _form_params['id']),
            )
        );
    }

	// --------------------------------------------------------------------

    /**
	 * Vérifie si l'article est associé à un item de menu ou non (nécessaire pour affichage dans le bandeau de validation)
     * 
	 * @access private
     * @param integer Id de l'article
     * @return boolean
	 */	
    protected function _article_is_linked_to_menuitem($art_id)
    {
        if (empty($art_id)) {
            return FALSE;
        }
        
        $this -> CI -> load_model('articles_menuitems_index_model');
        
        $records = $this -> CI -> articles_menuitems_index_model -> read();
        
        foreach($records as $record) {
            if ($record['id_art'] == $art_id)  {
                return TRUE;
            }   
        }
        
        return FALSE;
            
    }

	// --------------------------------------------------------------------

    /**
	 * Renvoie l'adresse du lien menant à l'item de menu associé à l'article
     *  
	 * @access protected
     * @param integer Id de l'article
     * @return string Lien vers l'item de menu associé à l'article
	 */	
    protected function _build_href_for_menuitems($art_id)
    {
        return ADMR_BASE_HREF_PLUGIN.'&amp;ctrl=add_articles_menuitems&itemdocid='.$art_id;    
    }

	// --------------------------------------------------------------------

    /**
	 * Définit et retourne le layout de la vue
     * 
	 * @access protected
     * @return string nom du fichier qui définit le layout
	 */	
    protected function _get_layout_for_add_record_view()
    {
        return parent :: _get_layout_for_add_record_view();    
    }

	// --------------------------------------------------------------------

    /**
	 * Ajoute ou modifie un enregistrement
     * 
	 * @access protected
     * @return boolean
	 */	
    protected function _add_record()
    {
        return parent :: _add_record();
    }

	// --------------------------------------------------------------------

    /**
	 * Crée un nouvel enregistrement dans la base de donnée
     * 
	 * @access protected
     * @param array Tableau contenant les données de l'enregistrement
     * @return integer Identifiant de l'enregistrement créé
	 */
    protected function _insert_record($record)
    {
        return parent :: _insert_record($record);    
    }
    
	// --------------------------------------------------------------------

    /**
	 * Met à jours les données de l'enregistrement dans la base de donnée
     * 
	 * @access protected
     * @param array Tableau contenant les données de l'enregistrement
     * @return void
	 */
    protected function _update_record($record)
    {
        if (!ADMR_IS_ADMIN && empty($this -> _writer_rights[$this -> _doc_infos['name'].'_moddate_manage'])) {
            $record['update_moddate'] = (int) $this -> _config['update_moddate']; // Mise à jour par défaut de la date de modification du document  
        }
        
        return parent :: _update_record($record);    
    }
     
	// --------------------------------------------------------------------

    /**
	 * Envoie un email pour informer l'admin au sujet de l'ajout ou de la modification d'un document
     * 
	 * @access protected
     * @param array Tableau contenant les données de l'enregistrement
     * @return void
	 */
/*    protected function _send_email_to_inform_admin_about_record($record)
    {
         return parent :: _send_email_to_inform_admin_about_record($record);
    }
*/    
	// --------------------------------------------------------------------

    /*
     * Renvoie l'identifiant du rédacteur 
     *
     * @param array Données à faire passer à la vue
     * @return void
     */        
/*    protected function _get_writer_id()
    {
        return parent :: _get_writer_id();
    }
*/
	// --------------------------------------------------------------------
    
    /**
	 * Définit les valeurs des paramètres du formulaire
     * 
	 * @access protected
     * @param integer Id de l'enregistrement
     * @return array
	 */    
/*    protected function _set_form_params($record_id)
    {    
        return parent :: _set_form_params($record_id);       
    }
*/
	// --------------------------------------------------------------------
    
    /**
	 * Récupère et renvoie les données du document
     * 
	 * @access protected
     * @param integer Id de l'enregistrement
     * @return array Données enregistrées du document
	 */    
/*    protected function _get_record_data($record_id)
    {
        return  parent :: _get_record_data($record_id);       
    }
*/
	// --------------------------------------------------------------------
    
    /**
	 * Récupère et renvoie les paramètres postés dans le formulaire
     * 
	 * @access protected
     * @return array Tableau contenant les paramètres postés dans le formulaire
	 */    
/*    protected function _get_form_params_posted()
    {
        return parent :: _get_form_params_posted();       
    }
*/
	// --------------------------------------------------------------------

    /**
	 * définit et renvoie les règles de validation des paramètres du formulaire
     * 
	 * @access protected
     * @param array Tableau contenant les paramètres à vérifer lors de la validation
     * @return array Tableau contenant les règles de validation des paramètres ainsi que les messages d'erreur associés 
     * sous la forme suivante : array(param1 => array(
     *                                               array('rules' => '', 'msg' => ''), // error 1
     *                                               array('rules' => '', 'msg' => ''), // error 2                                       
     *                                         ),
     *                                param2 => array(
     *                                               array('rules' => '', 'msg' => ''), // error 1
     *                                               array('rules' => '', 'msg' => ''), // error 2                                       
     *                                         ),
     *                               ...
     *                          )
	 */	
/*    protected function _get_form_params_rules($params)
    {
        return parent :: _get_form_params_rules($params);
    }
*/
	// --------------------------------------------------------------------

	/**
	 * retourne l'url complète de la page
     * 
     * @access protected
	 * @return string Url complète de la page
	 */
/*    protected function _get_current_url()
    {
        return parent :: _get_current_url();
    }
*/
	// --------------------------------------------------------------------
    
} // End of class