<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.12 (2018/02/25)
 * Compatibility : Guppy v5.0+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

require_once ADMR_HELPERS_PATH.'/add_doc_helper.php';

class Add_freeboxes_helper extends Add_doc_helper
{
    /*
    |--------------------------------------------------------------------------
    | Properties
    |--------------------------------------------------------------------------
    */
    protected $CI;                       // object global
    protected $_lang = array();          // Données de langue
    protected $_config = array();        // Données de configuration
    protected $_record_id = 0;           // Identifiant de l'enregistrement
    protected $_record_data = array();   // Tableau contenant les données de l'enregistrement
    protected $_form_params = array();   // Tableau contenant les données de l'enregistrement postées dans le formulaire
 	protected $_form_errors = array();	 // Tableau contenant les messages d'erreur dans le formulaire
    protected $_form_validation = FALSE; // Validation du formulaire (TRUE ou FALSE)  

    protected $_writer_rights = array(); // Droits du rédacteur
    
    /*
    |--------------------------------------------------------------------------
    | Constructor
    |--------------------------------------------------------------------------
    */    
    function __construct($writer_rights = array())
    {
        parent :: __construct(TYP_FREEBOX, $writer_rights);  
    }

    /*
    |--------------------------------------------------------------------------
    | Methods
    |--------------------------------------------------------------------------
    */    

    /**
	 * Index
     * 
	 * @access public
     * @return void
	 */	
    public function index()
    {
        parent :: index();
    }

	// --------------------------------------------------------------------

    /*
     * Définit et renvoie le titre de la page 
     *
     * @param array Données à faire passer à la vue
     * @return void
     */        
    public function set_title_page()
    {
        return parent :: set_title_page();
    }
    
	// --------------------------------------------------------------------

	/**
	 * définit et renvoie la description de la page ainsi que les recommendations
     * 
	 * @return string infos de la page
	 */	
    public function set_infos_page_content()
    {		
        return parent :: set_infos_page_content();
    }

	// --------------------------------------------------------------------

    /*
     * Définit le contenu du menu qui est affiché dans le bandeau en haut de la page
     *
     * @return array Tableau contenant les items du menu (vide par défaut)
     */
    public function set_menu_plugin_items()
    {
        return parent :: set_menu_plugin_items();         
    }
    
	// --------------------------------------------------------------------

	/**
	 * définit et renvoie les ajouts (js et css) dans l'entête de la page
     * 
     * @access public
	 * @return string Chaine html contenant les ajouts js et css
	 */	
    public function set_header_addons()
    {
        $parent_addons = parent :: set_header_addons();
        
        $js = '';
//        $js .= '<script type="text/javascript" src="'.ADMR_JS_PATH.'/public_add_record.js"></script>'."\n";
        
        $css = '';
//        $css .= '<link rel="stylesheet" type="text/css" href="'.ADMR_CSS_PATH.'/public_add_record.css" />'."\n";

        return $parent_addons.$js.$css;
    }

	// --------------------------------------------------------------------

	/**
	 * définit les propriétés du document (type et nom)
     * 
     * @access protected
     * @param string Type du document
	 * @return array Tableau contenant les informations (type, nom) du document
	 */	
/*    protected function _set_doc_infos($doc_type = '')
    {
        $this -> _doc_infos = Model :: get_doc_infos_by_type($doc_type);

        if (empty($this -> _doc_infos['type']) || empty($this -> _doc_infos['name'])) {
            die('ERROR : vous devez définir le type et le nom du document');    
        }        
        
        return $this -> _doc_infos;        
    }
*/
	// --------------------------------------------------------------------

	/**
	 * définit les droits du rédacteur
     * 
     * @access protected
     * @param array Tabelau définissant les droits du rédacteur (vide par défaut) 
	 * @return array Tableau contenant les droits du rédacteur
	 */	
/*    protected function _set_writer_rights($writer_rights = array())
    {
        settype($writer_rights, 'array');
        
        return $this -> _writer_rights = $writer_rights;        
    }
*/
	// --------------------------------------------------------------------

    /**
	 * Ajoute des données supplémentaires
     * 
	 * @access protected
     * @return array
	 */	
    protected function _add_more_data_for_add_record_view()
    {        
        return array_merge(
            parent :: _add_more_data_for_add_record_view(), 
            array(
                'box_positions' => $this -> _get_box_positions(),
                'box_views'     => $this -> _get_box_views(),
            )
        );
    }

	// --------------------------------------------------------------------

	/**
	 * retourne le tableau contenant la liste des emplacements des boites de menu
	 *
	 * @access	protected
	 * @return	array Tableau contenant la liste des emplacements des boites de menu
	 */
    protected function _get_box_positions()
    {
        return $this -> _config['box_positions'];
    }

	// --------------------------------------------------------------------

	/**
	 * retourne le tableau contenant la liste des différents types d'affichage des boites de menu
	 *
	 * @access	protected
	 * @return	array Tableau contenant la liste des différents types d'affichage des boites de menu
	 */
    protected function _get_box_views()
    {
        return $this -> _config['box_views'];
    }

	// --------------------------------------------------------------------
  
} //End of Class