<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.12 (2018/02/25)
 * Compatibility : Guppy v5.0+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

require_once ADMR_HELPERS_PATH.'/plugin_menu_helper.php';

class Plugin_menu_for_articles_helper extends Plugin_menu_helper
{	
    /**
	 * Définit et retourne les items du menu qui est affiché dans le bandeau en haut de la page coté public
     * 
	 * @access public
	 * @param string Nom du document
	 * @param array Tableau contenant les traduction de langue
	 * @param array Tableau contenant les options de configuration
     * @param array Tableau contenant les paramètres des droits du rédacteur
     * @param array Paramètres optionnels
	 * @return array
	 */
	public static function set_public_items($doc_name, $lang, $config, $writer_rights = array(), $params = array())
	{
        return array(
            parent :: add_item_for_go_dashboard($doc_name, $lang),
            parent :: add_item_for_manage_docs($doc_name, $lang, $writer_rights),
            parent :: add_item_for_add_doc($doc_name, $lang, $writer_rights),
            parent :: add_item( // Icone pour la gestion des items de menu pour les articles
                array(
                    'is_allowed' => !empty($writer_rights['menuitems_manage']),
                 //   'title' => $lang['manage_menuitems_for_articles'],
                    'title' => 'Gérer les items de menu des articles',
                    'class' => 'manage_docs articles_menuitems',
                    'controller' => 'manage_articles_menuitems',
                )
            ),
            parent :: add_item( // Icone pour l'ajout des items de menu pour les articles
                array(
                    'is_allowed' => !empty($writer_rights['menuitems_manage']) && !empty($writer_rights['menuitems_add']),
                    'title' => $lang['add_menuitems'],
                    'class' => 'add_doc articles_menuitems',
                    'controller' => 'add_articles_menuitems',
                )
            ),           
            parent :: add_item_for_search_docs($doc_name, $lang),
            parent :: add_item_for_disconnect($doc_name, $lang)
        );
    }

	// --------------------------------------------------------------------

    /**
	 * Définit et retourne les items du menu qui est affiché dans le bandeau en haut de la page coté admin
     * 
	 * @access public
	 * @param string Nom du document
	 * @param array Tableau contenant les traduction de langue
	 * @param array Tableau contenant les options de configuration
     * @param array Tableau contenant les paramètres des droits du rédacteur
     * @param array Paramètres optionnels
	 * @return array
	 */
	public static function set_admin_items($doc_name, $lang, $config, $writer_rights = array(), $params = array())
    {
        return parent :: set_admin_items($doc_name, $lang, $config, $writer_rights, $params);
    }

	// --------------------------------------------------------------------

} // End of class