<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.12 (2018/02/25)
 * Compatibility : Guppy v5.0+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

/**
 * Classe qui permet de gérer les groupes privés enregistrés dans guppy
 */
class Private_groups_helper
{
    /*
    |--------------------------------------------------------------------------
    | Properties
    |--------------------------------------------------------------------------
    */
    protected $CI; // object global
    protected $_lang = array();     // Données de langue
    protected $_config = array();   // Données de configuration
    
    /*
    |--------------------------------------------------------------------------
    | Constructor
    |--------------------------------------------------------------------------
    */
    function __construct()
    {
        $this -> CI =& Controller :: get_instance();
    }

    /*
    |--------------------------------------------------------------------------
    | Methods
    |--------------------------------------------------------------------------
    */

    /**
	 * retourne tous les groupes privés
     * 
	 * @access public
     * @return array Tableau contenant les noms des groupes privés
	 */	
    public function get_all()
    {
        $dbgroups = ReadDBFields(GROUPS);
        $groups = array();

        foreach($dbgroups as $group) {
            $groups[] = $group[0];
        }
        
        return $groups;
    }

	// --------------------------------------------------------------------

    /**
     * Vérifie si l'accès est autorisé pour les membres du group privé
     *
     * @param string Nom du groupe privé de guppy
     * @return boolean
     */
    public static function is_allowed_for_access($private_group)
    {
        if (isAccessGranted($private_group)) {
            return TRUE;    
        }           
        
        return FALSE;
    }

	// --------------------------------------------------------------------
    
} // End of class