<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.12 (2018/02/25)
 * Compatibility : Guppy v5.0+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

class Security_helper
{	

    /**
     * Encrypt password
     *
     * @access	public
     * @param	string Mot de pass à encrypter
     * @param	string Grain de sel pour éviter les doublons de mot de passe
     * @param	string Type de cryptage ('md5' ou 'sha1')
     * @return	string Chaine cryptée
     */	
	public static function encrypt_password($password, $salt = '', $method = 'md5')
	{
        return ($method == 'sha1') ? sha1($password.$salt) : md5($password.$salt);
    }

	// --------------------------------------------------------------------

    /**
	 * Génère un token, le sauvegarde dans une session et le retourne
     * 
	 * @access public
     * @param string Nom du token (optionnel) pour différencier les formulaires
     * @return string Token généré
	 */
    public static function create_token($name = '')
    {
		if(!isset($_SESSION)) {
            throw new Exception('Session must to be active');            
            return FALSE; 
		}			
            
		$token = hash('sha1', uniqid(rand(), true));
		$token = substr($token, rand(1,20), 20);
        
        $_SESSION[$name.'_token'] = array(
            'value' => $token,
            'time' => time()
        );
    	
        return $token;
    }

	// --------------------------------------------------------------------

    /**
	 * Vérifie la validité du token
     * 
	 * @access public
     * @param integer Temps d'expiration de la validité du token
     * @param string Url referer attendue (chemin absolu)
     * @param string Nom du token (optionnel)
     * @return boolean
	 */
    public static function check_token($time_expire, $referer, $name = '', $token_input_name = 'token')
    {
		if(!isset($_SESSION)) {
            throw new Exception('Session must to be active');            
            return FALSE; 
		}			

        $token_name = $name.'_token';
              
        if(!empty($_SESSION[$token_name]['value']) && !empty($_SESSION[$token_name]['time']) && !empty($_POST[$token_input_name]))
        {
            if($_SESSION[$token_name]['value'] == $_POST[$token_input_name])
            {
                if($_SESSION[$token_name]['time'] >= (time() - $time_expire))
                {
                    if(strpos($_SERVER['HTTP_REFERER'], $referer) === 0)
                    {
                        return TRUE; 
        			}
        		}
        	}
        }

        return FALSE;
    }

	// --------------------------------------------------------------------

}