<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.12 (2018/02/25)
 * Compatibility : Guppy v5.0+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

class Writer_acl
{
    /*
    |--------------------------------------------------------------------------
    | Properties
    |--------------------------------------------------------------------------
    */
    private $_writer_rights = array();
    
    /*
    |--------------------------------------------------------------------------
    | Constructor
    |--------------------------------------------------------------------------
    */    
	public function __construct($writer_rights = array())
	{
	   if (!empty($writer_rights)) {
	       $this -> set_writer_rights($writer_rights);    
	   }
	}

    /*
    |--------------------------------------------------------------------------
    | Methods
    |--------------------------------------------------------------------------
    */    

	/**
	 * Définit les droits de l'utilisateur
     * 
	 * @param array Tableau contenant la liste des droits d'accès du rédacteur 
	 * @return array
	 **/
	public function set_writer_rights($writer_rights)
	{
		settype($writer_rights, 'array');
		
		$this -> _writer_rights = $writer_rights;
		
		return TRUE;
	}
	   
	// --------------------------------------------------------------------
	
	/**
	 * Vérifie si l'utilisateur est autorisé ou non à accéder à la ressource
	 *
	 * @access public
	 * @params string  Nom de l'action
	 * @params boolean Autorisation d'access par défaut si pas de règle d'accès (FALSE par défaut)
	 * @return boolean
	 */
	public function is_allowed($action)
	{		
		if (ADMR_IS_ADMIN === TRUE) { // On autorise tout si c'est le super administrateur
			return TRUE;
		}	
		
        return empty($this -> _writer_rights[$action]) ? FALSE : TRUE;
	}
	   
	// --------------------------------------------------------------------
	
	/**
	 * Renvoie la valeur du droit du rédacteur concernant l'action
	 *
	 * @access public
	 * @params string Nom de l'action
	 * @return integer
	 */
	public function get_right_value($action)
	{		
		if (ADMR_IS_ADMIN === TRUE) { // On renvoie la valeur 1 si c'est le super administrateur
			return 1;
		}	
		
        return empty($this -> _writer_rights[$action]) ? 0 : $this -> _writer_rights[$action];
	}
	   
	// --------------------------------------------------------------------

	
} // End Class