<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.12 (2018/02/25)
 * Compatibility : Guppy v5.0+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

class Docs_index_model extends Model
{
    /*
    |--------------------------------------------------------------------------
    | Properties
    |--------------------------------------------------------------------------
    */
    private $_doc_type = NULL;
    private $_file_path = DBINDEX;
    private $_file_ext = DBEXT;
    //
        
    /*
    |--------------------------------------------------------------------------
    | Constructor
    |--------------------------------------------------------------------------
    */
    public function __construct($doc_type = NULL)
	{
        if (!empty($doc_type)) {
            $this -> _doc_type = $doc_type;    
        } else {
            die('The document type is not defined');
        }        
	}

	// --------------------------------------------------------------------
 
	/**
	 * Lit et renvoie dans un tableau les données des documents enregistrées dans le fichier d'index
     * 
     * @access public 
	 * @param integer Identifiant du document
	 * @return array Tableau contenant les données des documents enregistrées dans le fichier d'index
	 */
    public function read()
    {
        $data = array();
        $db = ReadDBFields($this -> _file_path.$this -> _doc_type.$this -> _file_ext);
        
        foreach($db as $row) {
            $data[$row[4]] = $row; // Clé = id   
        }
        
        return $data;
    }

	// --------------------------------------------------------------------
 
	/**
	 * Ecrit les données du document dans un fichier (écrasement des données existantes dans le fichier)
     * 
     * @access public
     * @param  array données du document à enregistrer
	 * @return boolean
	 */    
    public function write($data)
    {
        settype($data, 'array');

		return WriteDBFields($this -> _file_path.$this -> _doc_type.$this -> _file_ext, $data);
    }

	// --------------------------------------------------------------------
 
	/**
	 * Ajoute les données du document à la fin du contenu d'un fichier (pas d'écrasemet des données existantes dans le fichier)
     * 
     * @access public
     * @param  array données du document à enregistrer
	 * @return boolean
	 */    
    public function append($data)
    {
        settype($data, 'array');
		
        return AppendDBFields($this -> _file_path.$this -> _doc_type.$this -> _file_ext, $data);
    }

	// --------------------------------------------------------------------
 
	/**
	 * Nettoie les données du rédacteur
     * 
     * @access public 
	 * @param array Données du rédacteur à nettoyer
	 * @return array
	 */        
    public function clean($data)
    {
        return array_map('RemoveConnector', $data);
    }

	// --------------------------------------------------------------------
 
} // End of Class