<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.12 (2018/02/25)
 * Compatibility : Guppy v5.0+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

class Rights_model extends Model
{
    /*
    |--------------------------------------------------------------------------
    | Properties
    |--------------------------------------------------------------------------
    */
    private $_file_path = NULL;
    private $_file_prefix = '';
    private $_file_ext = INCEXT;
    private $_rights = array(
        'id'  => 0,
        'name'  => '',
        'pass'  => '',
        'email' => '',
        'groupid' => 0,
        'modify_password' => 0,
        'agenda_manage' => 0,      'agenda_add' => 0,      'agenda_edit' => 0,      'agenda_act' => 0,      'agenda_del' => 0,      'agenda_send_email' => 0,      'agenda_publication_manage' => 0,      'agenda_private_group_manage' => 0, 
        'articles_manage' => 0,    'articles_add' => 0,    'articles_edit' => 0,    'articles_act' => 0,    'articles_del' => 0,    'articles_send_email' => 0,    'articles_publication_manage' => 0,    'articles_private_group_manage' => 0,  'articles_to_be_added' => array(),  'articles_to_be_removed' => array(), 'articles_icon_manage' => 0, 'articles_sidebars_manage' => 0,
        'banners_manage' => 0,     'banners_add' => 0,     'banners_edit' => 0,     'banners_act' => 0,     'banners_del' => 0,     'banners_send_email' => 0,     'banners_publication_manage' => 0,     'banners_private_group_manage' => 0, 
        'blog_manage' => 0,        'blog_add' => 0,        'blog_edit' => 0,        'blog_act' => 0,        'blog_del' => 0,        'blog_send_email' => 0,        'blog_publication_manage' => 0,        'blog_private_group_manage' => 0,      'blog_to_be_added' => array(),      'blog_to_be_removed' => array(),                          'blog_cats_manage' => 0,         'blog_cats_list_allowed' => array(array(), array()), 
        'boxmenus_manage' => 0,    'boxmenus_add' => 0,    'boxmenus_edit' => 0,    'boxmenus_act' => 0,    'boxmenus_del' => 0,    'boxmenus_send_email' => 0,    'boxmenus_publication_manage' => 0,    'boxmenus_private_group_manage' => 0,  'boxmenus_to_be_added' => array(),  'boxmenus_to_be_removed' => array(),                      'boxmenus_display_manage' => 0,  'boxmenus_positions_manage' => 0,  'boxmenus_type_manage' => 0, 
        'menuitems_manage' => 0,   'menuitems_add' => 0,   'menuitems_edit' => 0,   'menuitems_act' => 0,   'menuitems_del' => 0,   'menuitems_send_email' => 0,   'menuitems_publication_manage' => 0,   'menuitems_private_group_manage' => 0, 'menuitems_to_be_added' => array(), 'menuitems_to_be_removed' => array(),                     'menuitems_cats_manage' => 0,    'menuitems_cats_list_allowed' => array(array(), array()), 'menuitems_boxes_manage' => 1,   'menuitems_boxes_list_allowed' => array(), 'menuitems_sidebars_manage' => 0, 'menuitems_templates_manage' => 0,  'menuitems_templates_list_allowed' => array(),
        'downloads_manage' => 0,   'downloads_add' => 0,   'downloads_edit' => 0,   'downloads_act' => 0,   'downloads_del' => 0,   'downloads_send_email' => 0,   'downloads_publication_manage' => 0,   'downloads_private_group_manage' => 0, 'downloads_cats_manage' => 0,       'downloads_cats_list_allowed' => array(array(), array()), 'downloads_licence_manage' => 0,
        'faq_manage' => 0,         'faq_add' => 0,         'faq_edit' => 0,         'faq_act' => 0,         'faq_del' => 0,         'faq_send_email' => 0,         'faq_publication_manage' => 0,         'faq_private_group_manage' => 0,       'faq_cats_manage' => 0,             'faq_cats_list_allowed' => array(array(), array()), 
        'freeboxes_manage' => 0,   'freeboxes_add' => 0,   'freeboxes_edit' => 0,   'freeboxes_act' => 0,   'freeboxes_del' => 0,   'freeboxes_send_email' => 0,   'freeboxes_publication_manage' => 0,   'freeboxes_private_group_manage' => 0, 'freeboxes_to_be_added' => array(), 'freeboxes_to_be_removed' => array(),                     'freeboxes_display_manage' => 0, 'freeboxes_positions_manage' => 0, 
        'links_manage' => 0,       'links_add' => 0,       'links_edit' => 0,       'links_act' => 0,       'links_del' => 0,       'links_send_email' => 0,       'links_publication_manage' => 0,       'links_private_group_manage' => 0,     'links_cats_manage' => 0,           'links_cats_list_allowed' => array(array(), array()), 
        'news_manage' => 0,        'news_add' => 0,        'news_edit' => 0,        'news_act' => 0,        'news_del' => 0,        'news_send_email' => 0,        'news_publication_manage' => 0,        'news_private_group_manage' => 0,      'news_icon_manage' => 0,
        'newsletters_manage' => 0, 'newsletters_add' => 0, 'newsletters_edit' => 0, 'newsletters_act' => 0, 'newsletters_del' => 0, 'newsletters_send_email' => 0, 'newsletters_publication_manage' => 0, 
        'photoramas_manage' => 0,  'photoramas_add' => 0,  'photoramas_edit' => 0,  'photoramas_act' => 0,  'photoramas_del' => 0,  'photoramas_send_email' => 0,  'photoramas_publication_manage' => 0,  'photoramas_private_group_manage' => 0,'photoramas_cats_manage' => 0,      'photoramas_cats_list_allowed' => array(array(), array()), 'photoramas_params_edit' => 0,
        'photos_manage' => 0,      'photos_add' => 0,      'photos_edit' => 0,      'photos_act' => 0,      'photos_del' => 0,      'photos_photoramas_manage' => 1, 'photos_photoramas_list_allowed' => array(), // Gestion des photos des galeries photos
        'thinks_manage' => 0,      'thinks_add' => 0,      'thinks_edit' => 0,      'thinks_act' => 0,      'thinks_del' => 0,      'thinks_send_email' => 0,      'thinks_publication_manage' => 0,      'thinks_private_group_manage' => 0, 
        'files_manage' => 0,       'files_add' => 0,       'files_edit' => 0,                               'files_del' => 0,       
        'files_dirs_manage' => 0,  'files_dirs_add' => 0,  'files_dirs_edit' => 0,                          'files_dirs_del' => 0,  'files_dirs_list_allowed' => array(),
        
        'writers_manage' => 0,     /*'writers_add' => 0,     'writers_edit' => 0,*/     /*'writers_act' => 0,*/     /*'writers_del' => 0,*/     /*'writers_reset_group' => 0,*/    'writers_allowed' => 0,    'writers_list_allowed' => array(), 'writers_groups_list_allowed' => array(), 
        'writers_docs_manage' => 0, 'writers_docs_edit' => 0, 'writers_docs_act' => 0, 'writers_docs_del' => 0, 'writers_docs_types_allowed' => array(),
    );
    
    /*
    |--------------------------------------------------------------------------
    | Constructor
    |--------------------------------------------------------------------------
    */
    public function __construct($user_type = '')
	{
        $this -> _rights = array_merge($this -> _rights, $this -> _get_configs_rights(), $this -> _get_addons_configs_rights());

        if ($user_type == 'writer') {
            $this -> _file_path = ADMR_WRITER_RIGHTS_PATH.'/';
            $this -> _file_prefix = ADMR_WRITER_RIGHTS_FILE_PREFIX;        
        } elseif ($user_type == 'group') {
            $this -> _file_path = ADMR_GROUP_RIGHTS_PATH.'/';
            $this -> _file_prefix = ADMR_GROUP_RIGHTS_FILE_PREFIX; 
            
            unset($this -> _rights['pass'], $this -> _rights['email'], $this -> _rights['groupid'],
                $this -> _rights['articles_to_be_added'], $this -> _rights['articles_to_be_removed'],
                $this -> _rights['freeboxes_to_be_added'], $this -> _rights['freeboxes_to_be_removed'],
                $this -> _rights['boxmenus_to_be_added'], $this -> _rights['boxmenus_to_be_removed'], 
                $this -> _rights['writers_manage'], $this -> _rights['writers_add'], $this -> _rights['writers_edit'], $this -> _rights['writers_act'], $this -> _rights['writers_del'], $this -> _rights['writers_reset_group'], $this -> _rights['writers_allowed'], $this -> _rights['writers_list_allowed'], $this -> _rights['writers_groups_list_allowed'],
                $this -> _rights['writers_docs_manage'], $this -> _rights['writers_docs_add'], $this -> _rights['writers_docs_edit'], $this -> _rights['writers_docs_act'],  $this -> _rights['writers_docs_del'],$this -> _rights['writers_docs_type_allowed']               
            );
        }
	}

    /*
    |--------------------------------------------------------------------------
    | Methods
    |--------------------------------------------------------------------------
    */

	/**
	 * Lit et renvoie dans un tableau les données enregistrées du rédacteur
     * 
     * @access public 
	 * @param integer Identifiant du rédacteur ou du groupe rédacteur
	 * @return array Tableau contenant les valeurs des droits du rédacteur ou du groupe rédacteur (par défaut $this -> _rights)
	 */
    public function read($user_id = '')
    {
        $data = $this -> _rights;
        
        if (!empty($user_id) && !empty($this -> _file_path) && ctype_digit((string) $user_id)) {
            $file_name = $this -> _file_path.$this -> _file_prefix.$user_id.$this -> _file_ext;         
            
            if (is_file($file_name)) {
                $data = array_merge($data, (array) unserialize(file_get_contents($file_name)));
            }
        }
        
        return $data; 
    }

	// --------------------------------------------------------------------
 
	/**
	 * Ecrit les données du rédacteur dans un fichier
     * 
     * @access public 
	 * @param integer Identifiant du rédacteur ou du groupe rédacteur
     * @param array Données du rédacteur ou du groupe rédacteur
	 * @return array
	 */    
    public function write($user_id, $data)
    {
        if (empty($user_id) || empty($this -> _file_path) || ! ctype_digit((string) $user_id)) {
            return FALSE;
        }
        
        settype($data, 'array');
        $file_name = $this -> _file_path.$this -> _file_prefix.$user_id.$this -> _file_ext;
        $data = $this -> clean($data);
		
		return file_put_contents($file_name, serialize($data), LOCK_EX);
    }

	// --------------------------------------------------------------------
 
	/**
	 * Nettoie les données du rédacteur
     * 
     * @access public 
	 * @param array Données du rédacteur à nettoyer
	 * @return array
	 */        
    public function clean($data)
    {
        $data_by_default = $this -> _rights;
        
        return array_merge($data_by_default, array_intersect_key($data, $data_by_default));
    }

	// --------------------------------------------------------------------

	/**
	 * Charge et renvoie dans un tableau les droits définis dans les fichiers de configuration du type "rights_"
     * situés dans le répertoire configs
     * 
     * @access public 
	 * @return array Tableau contenant les droits du rédacteur
	 */
    private function _get_configs_rights()
    {
        $rights = array();        
        $configs_files = scandir(ADMR_CONFIGS_PATH);    
        
        foreach($configs_files as $file) {
            if (strpos($file, 'rights_') !== FALSE) {
                require ADMR_CONFIGS_PATH.'/'.$file;

                $rights = array_merge($rights, $ADMR_rights);
            }    
        }
        
        return $rights;    
    }

	// --------------------------------------------------------------------

	/**
	 * Charge et renvoie dans un tableau les droits définis dans les fichiers de configuration du type "rights_"
     * situés dans le répertoire addons
     * 
     * @access public 
	 * @return array Tableau contenant les droits du rédacteur
	 */
    private function _get_addons_configs_rights()
    {
        $rights = array();        
        $addons_dirs = array_slice(scandir(ADMR_ADDONS_PATH), 2);

        foreach($addons_dirs as $dir) {
            $configs_dir = ADMR_ADDONS_PATH.'/'.$dir.'/configs';
            if ($dir != 'index.php' && is_dir($configs_dir)) {
                $configs_files = scandir($configs_dir);    
                
                foreach($configs_files as $file) {
                    if (strpos($file, 'rights_') !== FALSE) {
                        require $configs_dir.'/'.$file;
        
                        $rights = array_merge($rights, $ADMR_rights);
                    }    
                }
            }
        }
       
        return $rights;    
    }

	// --------------------------------------------------------------------

	/**
	 * Renvoie dans un tableau les droits définis pour l'admin
     * 
     * @access public 
	 * @return array Tableau contenant les droits de l'administrateur
	 */
    public function get_admin_rights()
    {
        $admin_rights = array('id' => 0);
        
        foreach($this -> _rights as $key => $value) {
            if (is_integer($value)) {
                $admin_rights[$key] = 1;    
            }
        }
        
        return array_merge($admin_rights, array('id' => 0, 'name' => 'admin', 'groupid' => 0));
    }

	// --------------------------------------------------------------------
    
} // End of Class