<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.12 (2018/02/25)
 * Compatibility : Guppy v5.0+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>
<form action="<?php echo $form_url; ?>" method="post">
<?php include 'fragments/add_input_token_view.php'; ?>
<input type="hidden" name="id" value="<?php echo $params['id']; ?>" />
<input type="hidden" name="params[creadate]" value="<?php echo $params['creadate']; ?>" />

<?php include 'fragments/add_block_confirm_message_view.php'; ?>

<h4 class="ADMR_title"><?php echo ucfirst($lang['heading_form_recording']); ?>&nbsp;:</h4>
<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>

<?php include 'fragments/add_fieldset_date_publication_view.php'; ?>
<!-- Author -->
<?php include 'fragments/add_input_author_view.php'; ?>

<?php include 'fragments/add_fieldset_cat_view.php'; ?>
<?php include 'fragments/add_fieldset_title_view.php'; ?>

<fieldset id="admr_doc_link">
<legend><?php echo ucfirst($lang['document_url']); ?></legend>
<?php foreach($config['lang'] as $key => $lng) : ?>
    <?php if (!empty($lng)) : ?>
    <p>
    <label for="doc_file<?php echo $key+1; ?>"><img src="<?php echo CHEMIN.'inc/lang/'.$lng.'.gif'; ?>" alt="<?php echo $lng; ?>" title="<?php echo $lng; ?>" />&nbsp;:&nbsp;
    <input 
     data-validation="file"
     data-validation-error-msg-file-required="<?php echo htmlspecialchars($lang['form_errors_msg']['file_required'], ENT_QUOTES, 'UTF-8'); ?>" 
     data-validation-file-path="<?php echo implode(',', $config['file_manager']['access']['download']['dirs']); ?>"
     data-validation-error-msg-file-path="<?php echo sprintf(htmlspecialchars($lang['form_errors_msg']['only_this_file_directories_%s_are_allowed'], ENT_QUOTES, 'UTF-8'), implode(',', $config['file_manager']['access']['download']['dirs'])); ?>"     
     data-validation-ext-allowed="<?php echo implode(',', $config['file_manager']['access']['download']['allowed_ext']); ?>"
     data-validation-error-msg-file-ext="<?php echo sprintf(htmlspecialchars($lang['form_errors_msg']['only_this_file_extensions_%s_are_allowed'], ENT_QUOTES, 'UTF-8'), implode(',', $config['file_manager']['access']['download']['allowed_ext'])); ?>"     
     id="doc_file<?php echo $key+1; ?>" 
     class="texte" 
     type="text" 
     name="params[link<?php echo $key+1; ?>]" 
     size="45" 
     value="<?php echo htmlspecialchars($params['link'.($key+1)], ENT_QUOTES, 'UTF-8'); ?>" 
    />
    </label>
    <a class="filebrowser" target="filebrowser" href="<?php echo ADMR_PUBLIC_ROOT_PATH; ?>/filemanager.php?lng=<?php echo ADMR_LNG; ?>&ctrl=manage_files&type=download&target=doc_file<?php echo $key+1; ?>">
    <input class="bouton" name="filebrowser" value="<?php echo $lang['label_button']['browse']; ?>" type="button" />
    </a>
    <?php echo $errors['link'.($key+1)]; ?>
    </p>
    <?php endif; ?>
<?php endforeach; ?>
</fieldset>

<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>

<?php include 'fragments/add_fieldset_contents_view.php'; ?>
<!-- Options -->
<?php if (empty($params['id']) && !empty($writer_rights[$doc_type['name'].'_act']) // Gestion du status autorisé
          || !empty($writer_rights[$doc_type['name'].'_private_group_manage']) // Gestion de l'accès au groupe privé autorisée
          || !empty($writer_rights[$doc_type['name'].'_licence_manage'])) : // Gestion de l'icone autorisée ?>
<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>
<fieldset>
<legend><?php echo ucfirst($lang['document_options']); ?></legend>
<?php include 'fragments/add_select_status_view.php'; ?>
<?php include 'fragments/add_select_private_group_view.php'; ?>
<?php if (!empty($writer_rights[$doc_type['name'].'_licence_manage'])) : // Gestion de la licence ?>    
<p id="admr_licence_choice">
<label><?php echo ucfirst($lang['licence']); ?>&nbsp;:&nbsp;</label>
<select name="params[licence]">
<option value="none"<?php echo empty($params['licence']) ? ' selected="selected"' : ''; ?>> -- Non -- </option>
<?php foreach($licences as $value => $label) : ?>
<option value="<?php echo $value; ?>"<?php echo ($value == $params['licence']) ? ' selected="selected"' : ''; ?>><?php echo htmlspecialchars($label); ?></option>
<?php endforeach; ?>
</select>
</p>
<?php endif; // fin gestion de la licence ?>
</fieldset>
<?php endif; ?>

<p><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>
</form>