<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.12 (2018/02/25)
 * Compatibility : Guppy v5.0+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>

<form action="<?php echo $form_url; ?>" method="post">
<?php include 'fragments/add_input_token_view.php'; ?>
<input type="hidden" name="id" value="<?php echo $params['id']; ?>" />
<input type="hidden" name="params[creadate]" value="<?php echo $params['creadate']; ?>" />

<?php include 'fragments/add_block_confirm_message_view.php'; ?>

<h4 class="ADMR_title"><?php echo ucfirst($lang['heading_form_recording']); ?>&nbsp;:</h4>
<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>

<?php include 'fragments/add_fieldset_date_publication_view.php'; ?>
<!-- Author -->
<?php include 'fragments/add_input_author_view.php'; ?>

<?php include 'fragments/add_fieldset_boxmenu_view.php'; ?>
<?php include 'fragments/add_fieldset_cat_view.php'; ?>
<?php include 'fragments/add_fieldset_title_view.php'; ?>

<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>

<fieldset id="admr_doc_url">
<legend><?php echo ucfirst($lang['document_url']); ?></legend>
    <fieldset id="admr_doc_internal_url">
    <legend>
    <label title="<?php echo ucfirst($lang['selection_link_towards_internal_document']); ?>">
    <input value="internal" name="params[link_type]" type="radio"<?php echo ($params['link_type'] == 'internal') ? ' checked="checked"' : ''; ?> />
    <?php echo ucfirst($lang['selection_link_towards_internal_document']); ?></label>            
    </legend>
    <p>
    <label><?php echo ucfirst($lang['choose_internal_document']); ?>&nbsp;:&nbsp;
    <select name="params[internal_link]">
    <?php foreach($docs as $doc_path => $doc_items) : ?>
        <?php if (!empty($doc_items)) : ?>
        <?php $doc_label = basename($doc_path, '.php'); ?>
        <optgroup label="<?php echo $lang[($doc_label == 'download') ? $doc_label.'s' : $doc_label]; ?>">
        <?php foreach($doc_items as $doc_item) : ?>
            <option value="<?php echo $doc_path.'?lng='.$config['lang'][0].'&pg='.$doc_item['id']; ?>"<?php echo ((strpos($params['internal_link'], $doc_path.'?lng='.$config['lang'][0].'&pg='.$doc_item['id']) === 0) || ($params['docid'] == $doc_item['id'])) ? ' selected="selected"' : ''; ?>><?php echo htmlspecialchars($doc_item['id'].' : '.(!empty($doc_item['cat1']) ? $doc_item['cat1'].' - ' : '').$doc_item['title1']); ?></option>
        <?php endforeach; ?>
        </optgroup>
        <?php endif; ?>
    <?php endforeach; ?>
    </select>
    </label>
    <?php echo $errors['internal_link']; ?>
    </p>
    </fieldset>
    <?php if (!empty($url_external_allowed)) : ?>
        <fieldset id="admr_doc_external_url">
        <legend>
        <label title="<?php echo ucfirst($lang['selection_link_towards_external_document']); ?>">
        <input value="external" name="params[link_type]" type="radio"<?php echo ($params['link_type'] == 'external') ? ' checked="checked"' : ''; ?> />
        <?php echo ucfirst($lang['selection_link_towards_external_document']); ?></label>            
        </legend>   
        <?php foreach($config['lang'] as $key => $lng) : ?>
            <?php if (!empty($lng)) : ?>    
            <p>
            <label><img src="<?php echo CHEMIN.'inc/lang/'.$lng.'.gif'; ?>" alt="<?php echo $lng; ?>" title="<?php echo $lng; ?>" />&nbsp;:&nbsp;
            <input 
             data-validation="external_link" 
             data-validation-error-msg-external-link-required="<?php echo htmlspecialchars($lang['form_errors_msg']['url_required'], ENT_QUOTES, 'UTF-8'); ?>" 
             data-validation-error-msg-external-link-not-valid="<?php echo htmlspecialchars($lang['form_errors_msg']['url_not_valid'], ENT_QUOTES, 'UTF-8'); ?>"
             id="doc_url<?php echo $key+1; ?>"
             class="texte" 
             type="text" 
             name="params[external_link<?php echo $key+1; ?>]" 
             size="45" 
             placeholder="http//domain.ext"
             value="<?php echo htmlspecialchars($params['external_link'.($key+1)], ENT_QUOTES, 'UTF-8'); ?>" 
            />
            </label>
            <a class="filebrowser" target="filebrowser" data-popup-width="610" data-popup-height="595" href="<?php echo ADMR_PUBLIC_ROOT_PATH; ?>/filemanager.php?lng=fr&ctrl=manage_files&type=link&target=doc_url<?php echo $key+1; ?>">
            <input class="bouton" name="filebrowser" value="<?php echo $lang['label_button']['browse']; ?>" type="button" />
            </a>
            <?php echo $errors['external_link'.($key+1)]; ?>
            </p>
            <?php endif; ?>
        <?php endforeach; ?>
        </fieldset>
    <?php endif; ?>
</fieldset>
<!-- Options -->
<?php if (empty($params['id']) && !empty($writer_rights[$doc_type['name'].'_act']) // Gestion du status autorisé
          || !empty($writer_rights[$doc_type['name'].'_private_group_manage']) // Gestion de l'accès au groupe privé autorisée
          || !empty($writer_rights[$doc_type['name'].'_templates_manage']) // Gestion de l'accès aux gabarits de page autorisée
          || !empty($writer_rights[$doc_type['name'].'_sidebars_manage'])) : // Gestion de l'affichage des colonnes autorisée ?>
<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>
<fieldset>
<legend><?php echo ucfirst($lang['document_options']); ?></legend>
<?php include 'fragments/add_select_status_view.php'; ?>
<?php include 'fragments/add_select_private_group_view.php'; ?>
<?php if (!empty($sidebars_display_mode_allowed)) : ?>
    <?php include 'fragments/add_select_sidebars_view.php'; ?>
<?php endif; ?>
<?php include 'fragments/add_select_template_view.php'; ?>
</fieldset>
<?php endif; ?>

<p><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>
</form>