<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.12 (2018/02/25)
 * Compatibility : Guppy v5.0+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>
<?php if ($is_allowed_create_dir) : // Création de répertoire ?>
    <?php if (empty($errors['new_dir'])) : // Succès de la création du répertoire ?>
        <form class="popup-content" data-width="550" data-height="110" name="create_dir" action="<?php echo $form_uri; ?>/create_dir" method="post">
            <input type="hidden" name="dir_path" value="<?php echo $dir_path; ?>" />
            <input type="hidden" name="type" value="<?php echo $type; ?>" />
            <input type="hidden" name="target" value="<?php echo $target; ?>" />
            <input type="hidden" name="CKEditorFuncNum" value="<?php echo $CKEditorFuncNum; ?>" />
            <input type="hidden" name="addon" value="<?php echo $addon; ?>" />
            <fieldset>
            <legend>
                <img src="<?php echo ADMR_IMG_DIRECTORY; ?>" width="16" height="16" alt="<?php echo ucfirst($lang['create_directory']); ?>" />
                <?php echo ucfirst($lang['create_directory']); ?>
            </legend>
            <p>
            <label><?php echo ucfirst($lang['directory_name']); ?>&nbsp;:&nbsp;
            <input
             data-validation="new_dir"
             data-validation-error-msg-name-required="<?php echo htmlspecialchars($lang['form_errors_msg']['name_required'], ENT_QUOTES, 'UTF-8'); ?>" 
             data-validation-error-msg-chars-not-valid="<?php echo htmlspecialchars($lang['form_errors_msg']['name_must_contain_only_alphanumerics_or_dashes'], ENT_QUOTES, 'UTF-8'); ?>"
             data-validation-error-msg-name-exists="<?php echo htmlspecialchars($lang['form_errors_msg']['name_exists'], ENT_QUOTES, 'UTF-8'); ?>"
             class="text" 
             type="text" 
             name="new_dir" 
             size="30" 
             value=""
            />
            </label>
            <input class="bouton" type="submit" value="<?php echo ucfirst($lang['label_button']['create']); ?>" /> 
            </p>
            <?php if (!empty($errors['new_dir'])) : ?>
            <p>Erreur : <?php echo $errors['new_dir']; ?></p>
            <?php endif; ?>
            </fieldset>
        </form>
    <?php else : // Echec de la création du répertoire ?>
        <div class="popup-content">
        <p><?php echo ucfirst($lang['errors_msg']['error_occured_during_creation_of_directory']); ?>  : <?php echo $errors['new_dir']; ?></p>
        <p><?php echo ucfirst($lang['please_click_on_button_to_return']); ?>.</p>
        <p class="btn_return"><a href="<?php echo $uri_redirect; ?>"><button class="bouton"><?php echo ucfirst($lang['label_button']['return']); ?></button></a></p>
        </div>
    <?php endif; ?>
<?php endif; ?>