<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.12 (2018/02/25)
 * Compatibility : Guppy v5.0+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>
<?php if ( !empty($old_name) && $is_allowed_rename) : ?>
<form id="popup_content" class="popup-content" class="rename" name="rename_file" action="<?php echo $form_uri; ?>" method="post">
    <input type="hidden" name="dir_path" value="<?php echo $dir_path; ?>" />
    <input type="hidden" name="type" value="<?php echo $type; ?>" />
    <input type="hidden" name="target" value="<?php echo $target; ?>" />
    <input type="hidden" name="CKEditorFuncNum" value="<?php echo $CKEditorFuncNum; ?>" />
    <input type="hidden" name="addon" value="<?php echo $addon; ?>" />
    <input type="hidden" name="old_name" value="<?php echo $old_name; ?>" />
    <fieldset>
    <legend>
        <?php echo ($is_dir) ? ucfirst($lang['rename_directory']) : ucfirst($lang['rename_file']); ?>
    </legend>
    <p>
    <label><?php echo ($is_dir) ? ucfirst($lang['old_directory_name']) : ucfirst($lang['old_file_name']); ?>&nbsp;:&nbsp;
    <input type="text" name="file_name" size="30" value="<?php echo basename($old_name, $file_ext); ?>" readonly="readonly" /><?php echo $file_ext; ?>
    </label>
    </p>
    <p>
    <label><?php echo ($is_dir) ? ucfirst($lang['new_directory_name']) : ucfirst($lang['new_file_name']); ?>&nbsp;:&nbsp;
    <input 
     data-validation="new_filename"
     data-validation-error-msg-name-required="<?php echo htmlspecialchars($lang['form_errors_msg']['name_required'], ENT_QUOTES, 'UTF-8'); ?>" 
     data-validation-error-msg-chars-not-valid="<?php echo htmlspecialchars($lang['form_errors_msg']['name_must_contain_only_alphanumerics_or_dashes'], ENT_QUOTES, 'UTF-8'); ?>"
     data-validation-error-msg-name-exists="<?php echo htmlspecialchars($lang['form_errors_msg']['name_exists'], ENT_QUOTES, 'UTF-8'); ?>"
     data-ext="<?php echo $file_ext; ?>"
     type="text" 
     name="new_name" 
     size="30" 
     value="<?php echo htmlspecialchars($new_name, ENT_COMPAT, 'UTF-8'); ?>" 
     />
    <?php echo $file_ext; ?>
    </label>
    </p>
    <input class="bouton" type="submit" value="<?php echo ucfirst($lang['label_button']['valid']); ?>" />
    <a href="<?php echo $uri_redirect; ?>" class="popup_close"><input class="bouton" type="button" name="cancel" value="<?php echo ucfirst($lang['label_button']['cancel']); ?>" /></a> 
    <?php if (!empty($errors['rename'])) : ?>
    <p>Erreur : <?php echo $errors['rename']; ?></p>
    <?php endif; ?>
    </fieldset>
</form>
<?php else : ?>
<div id="popup_content" class="popup-content">
<p><?php echo ucfirst($lang['errors_msg']['error_occured'].$lang['please_click_on_button_to_return']); ?></p>
<p class="btn_return"><a href="<?php echo $uri_redirect; ?>"><button class="bouton"><?php echo ucfirst($lang['label_button']['return']); ?></button></a></p>
</div>
<?php endif; ?>