<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.12 (2018/02/25)
 * Compatibility : Guppy v5.0+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>

<?php if (!empty($writer_rights[$doc_type['name'].'_publication_manage'])) : ?>
<?php //if (!empty($config['access_dates_publication'])) : ?>
<fieldset id="admr_doc_date_publication">
<legend><?php echo ucfirst($lang['publication_programmed']); ?></legend>
    <?php foreach(array('begin', 'end') as $key => $marktime) : ?>
    <fieldset>
    <legend><?php echo ucfirst($lang['publication_date_'.$marktime]); ?></legend>
    <label>Date&nbsp;:&nbsp;
    <input 
    id="pubdate_<?php echo $marktime; ?>" 
    data-validation="pubdate"
    data-validation-error-msg-date-required="<?php echo htmlspecialchars($lang['form_errors_msg']['pubdate_required'], ENT_QUOTES, 'UTF-8'); ?>"
    data-validation-error-msg-date-format="<?php echo htmlspecialchars($lang['form_errors_msg']['pubdate_format_not_valid'], ENT_QUOTES, 'UTF-8'); ?>"
    data-validation-error-msg-date-not-exist="<?php echo htmlspecialchars($lang['form_errors_msg']['pubdate_not_exist'], ENT_QUOTES, 'UTF-8'); ?>"
    data-validation-error-msg-date-end="<?php echo htmlspecialchars($lang['form_errors_msg']['pubdate_end_less_recent_than_begin'], ENT_QUOTES, 'UTF-8'); ?>"  
    <?php if ($marktime == 'end') echo 'data-validation-optional="true"'; ?> 
    type="text" name="params[pubdate<?php echo $key; ?>]" value="<?php echo $params['pubdate'.$key]; ?>" placeholder="____/__/__" size="10" />
    </label>&nbsp;
    <label><?php echo $lang['hour']; ?>&nbsp;:&nbsp;
    <select
     id="pubhour<?php echo $key; ?>"
     data-validation="pubhour<?php if ($key == 1) echo ' pubtime'; ?>" 
     data-validation-error-msg-hour-required="<?php echo htmlspecialchars($lang['form_errors_msg']['pubhour_required'], ENT_QUOTES, 'UTF-8'); ?>" 
     data-validation-error-msg-time-end="<?php echo htmlspecialchars($lang['form_errors_msg']['pubtime_end_less_recent_than_begin'], ENT_QUOTES, 'UTF-8'); ?>" 
     name="params[pubhour<?php echo $key; ?>]">
<!--    <option value=""<?php echo empty($params['pubhour'.$key]) ? ' selected="selected"' : ''; ?>>--</option> -->
    <?php for($i = 0; $i < 24; $i++ ) : ?>
    <option value="<?php echo sprintf('%02d', $i); ?>"<?php echo ($params['pubhour'.$key] == sprintf('%02d', $i)) ? ' selected="selected"' : ''; ?>><?php echo sprintf('%02d', $i); ?></option>
    <?php endfor; ?>
    </select>
    </label>&nbsp;
    <label><?php echo $lang['minutes']; ?>&nbsp;:&nbsp;
    <select
     id="pubminute<?php echo $key; ?>"
     data-validation="pubminutes"  
     data-validation-error-msg-minutes-required="<?php echo htmlspecialchars($lang['form_errors_msg']['pubminutes_required'], ENT_QUOTES, 'UTF-8'); ?>" 
     data-validation-error-msg-time-end="<?php echo htmlspecialchars($lang['form_errors_msg']['pubtime_end_less_recent_than_begin'], ENT_QUOTES, 'UTF-8'); ?>"      
     name="params[pubminute<?php echo $key; ?>]">
<!--    <option value=""<?php echo empty($params['pubminute'.$key]) ? ' selected="selected"' : ''; ?>>--</option> -->
    <?php for($i = 0; $i < 61; $i++ ) : ?>
    <option value="<?php echo sprintf('%02d', $i); ?>"<?php echo ($params['pubminute'.$key] == sprintf('%02d', $i)) ? ' selected="selected"' : ''; ?>><?php echo sprintf('%02d', $i); ?></option>
    <?php endfor; ?>
    </select>
    </label>
    <?php echo $errors['pubdate'.$key]; ?>
    </fieldset>
    <?php endforeach; ?>
</fieldset>

<p class="submit"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>
<?php endif; ?>