<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.12 (2018/02/25)
 * Compatibility : Guppy v5.0+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>

<?php if (!empty($_FILES)) : ?>
<h4 id="ADMR_block_confirm" class="ADMR_title"><?php echo ucfirst($lang['heading_confirm_recording']); ?>&nbsp;:</h4>
<div class="<?php echo (empty($errors) && !empty($photorama_id)) ? 'confirm_recording_success' : 'confirm_recording_fail' ?>">
<?php if (!empty($errors)) : // Echec de l'upload des fichiers ?>
    <p><strong><?php echo (count($errors) > 1) ? ucfirst($lang['errors_msg']['errors_occured_during_uploading_files']) : ucfirst($lang['errors_msg']['error_occured_during_uploading_files']); ?>&nbsp;:</strong></p>
    <ul>
        <?php foreach($errors as $key => $msg) : ?>
        <li>Fichier <strong><?php echo $key; ?></strong>&nbsp;:&nbsp;<?php echo $msg; ?></li>
        <?php endforeach; ?>
    </ul>
<?php elseif(empty($photorama_id)) : ?>
<p><strong><?php echo ucfirst($lang['upload_images_failed_no_photorama_selected']); ?></strong></p>  
<?php else : ?>
<p><strong><?php echo ucfirst($lang['upload_images_success']); ?></strong></p>    
<?php endif; ?>
</div>
<?php endif; ?>

<form id="upload_files" name="upload_files" enctype="multipart/form-data" action="<?php echo $form_uri; ?>" method="post">
<?php include 'fragments/add_input_token_view.php'; ?>
<input type="hidden" name="id" value="<?php echo $photo_id; ?>" />
<?php if (!empty($max_file_size)) : ?>
<input type="hidden" name="MAX_FILE_SIZE" value="<?php echo $max_file_size; ?>" />
<?php endif; ?>
<div id="admr_params_upload_files" class="diapo">
<fieldset>
<legend>
<img src="<?php echo ADMR_IMG_UPLOAD; ?>" width="16" height="16" alt="<?php echo ucfirst($lang['upload_images_for_photorama']); ?>" /><?php echo ucfirst($lang['upload_images_for_photorama']); ?>
</legend>
<p>
<label title="<?php echo $lang['select_photorama']; ?>"><?php echo ucfirst($lang['select_photorama']); ?>&nbsp;
<select name="galid" id="photoramas_id" size="3"
data-validation="required"
data-validation-error-msg="<?php echo htmlspecialchars($lang['form_errors_msg']['please_select_photorama'], ENT_QUOTES, 'UTF-8'); ?>"
>
<option value=""<?php echo empty($photorama_id) ? ' selected="selected"' : ''; ?>><?php echo '('.$lang['none'].')'; ?></option>
<?php foreach($photoramas as $photorama) : ?>
<option value="<?php echo htmlspecialchars($photorama['id']); ?>"<?php echo ($photorama['id'] == $photorama_id) ? ' selected="selected"' : ''; ?>><?php echo $photorama['id'].'&nbsp;:&nbsp;'.htmlspecialchars($photorama['cat'].' - '.$photorama['title']); ?></option>
<?php endforeach; ?>
</select>
</label>
</p>
<p>
<label><?php echo ucfirst($lang['select_images_to upload']); ?>&nbsp;:&nbsp;
<input 
data-validation="required"
data-validation-error-msg="<?php echo htmlspecialchars($lang['form_errors_msg']['upload_error_file_is_required'], ENT_QUOTES, 'UTF-8'); ?>"
type="file" 
name="userfiles[]" 
multiple="multiple" />
</label>
<button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['send']; ?></button>
</p>            
</fieldset>  
</div>
</form>