<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.12 (2018/02/25)
 * Compatibility : Guppy v5.0+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

header("Cache-control: private");
define('CHEMIN', '../../');
include CHEMIN.'inc/includes.inc';
require 'plugin.inc';
session_start();

// --------------------------------------------------------------------

/**
 * Déclaration et instanciation du controller
 */
require ADMR_CORE_PATH.'/controller.php';
require ADMR_CORE_PATH.'/model.php';

$params = explode('/', ADMR_CONTROLLER);

// Addon
if ($params[0] == 'addons' && !empty($params[1]) && !preg_match('`[^a-z0-9_\-]`i', $params[1]) && is_dir(ADMR_ADDONS_PATH.'/'.$params[1])) { // addons
    $controller = (!empty($params[2]) && !preg_match('`[^a-z0-9_\-]`i', $params[2])) ? $params[2] : $ADMR_config['controller_by_default']['public'];
    $method = (!empty($params[3]) && !preg_match('`[^a-z0-9_\-]`i', $params[3])) ? $params[3] : 'index';
    
    $controller = $controller.'_controller';
    
    require ADMR_ADDONS_PATH.'/'.$params[1].'/controllers/'.strtolower($controller).'.php';       

    require ADMR_ADDONS_PATH.'/'.$params[1].'/configs/'.$params[1].'_constants.php';   // Chargement des constantes de l'addon
}
// No addon
else {
    $controller = (!empty($params[0]) && !preg_match('`[^a-z0-9_\-]`i', $params[0])) ? $params[0] : $ADMR_config['controller_by_default']['public'];
    $method = (!empty($params[1]) && !preg_match('`[^a-z0-9_\-]`i', $params[1])) ? $params[1] : 'index';

    $controller = $controller.'_controller';
    
    require ADMR_CONTROLLERS_PATH.'/'.strtolower($controller).'.php';   
}

$controller = new $controller(); // Instanciation

// --------------------------------------------------------------------

/**
 * View
 */
$ADMR_writer_name = method_exists($controller, 'get_writer_name') ? '&nbsp;'.$controller -> get_writer_name() : '';
$headinc .= $controller -> set_header_addons(); // Ajout dans l'entête
$title_page = $controller -> set_title_page();  // Titre de la page
$topmess = '<a href="../../index.php?lng='.$lng.'">Accueil</a> &gt; '  // Fil d'ariane
         . '<a href="'.$plugin_bar_url.'">'.ucfirst($ADMR_lang['writer']).ucfirst($ADMR_writer_name).'</a> &gt; '
         . $title_page;
//Hacks de guppy (début)
$widepage = TRUE; // Pleine page
$pgtype = 5; // Liens dans le fil d'ariane
$npage[5] = $topmess; // Liens dans le fil d'ariane
//Hacks de guppy (fin)
ob_start();
include CHEMIN.'inc/hpage.inc';
htable(str_replace('&gt;', '-', $topmess), '100%');
if (method_exists($controller, $method)) {
    unset($params[0], $params[1]);
    call_user_func_array(array($controller, $method), $params);
} else {
    $controller -> index();
}
btable();
include CHEMIN.'inc/bpage.inc';
@ob_end_flush();

// --------------------------------------------------------------------